Package org.apache.velocity.exception

# Class ResourceNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.velocity.exception.VelocityException
org.apache.velocity.exception.ResourceNotFoundException

All Implemented Interfaces:
  `Serializable`

public class ResourceNotFoundException extends VelocityException
Application-level exception thrown when a resource of any type isn't found by the Velocity engine.
When this exception is thrown, a best effort will be made to have useful information in the exception's message. For complete information, consult the runtime log.

Version:
  $Id$
Author:
  Geir Magnusson Jr., Daniel Rall
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ResourceNotFoundException(String exceptionMessage)`
`ResourceNotFoundException(String exceptionMessage, Throwable t)`
`ResourceNotFoundException(String exceptionMessage, Throwable t, String[] stacktrace)`
`ResourceNotFoundException(Throwable t)`
`ResourceNotFoundException(Throwable t, String[] stacktrace)`

## Method Summary

### Methods inherited from class org.apache.velocity.exception.VelocityException

`getVtlStackTrace, getWrappedThrowable`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResourceNotFoundException

public ResourceNotFoundException(String exceptionMessage)

Parameters:
  `exceptionMessage` -
See Also:
  - `VelocityException(String)`

### ResourceNotFoundException

public ResourceNotFoundException(String exceptionMessage, Throwable t)

Parameters:
  `exceptionMessage` -
  `t` -
Since:
  1.5
See Also:
  - `VelocityException(String, Throwable)`

### ResourceNotFoundException

public ResourceNotFoundException(String exceptionMessage, Throwable t, String[] stacktrace)

Parameters:
  `exceptionMessage` -
  `t` -
  `stacktrace` - VTL stacktrace
Since:
  2.2
See Also:
  - `VelocityException(String, Throwable)`

### ResourceNotFoundException

public ResourceNotFoundException(Throwable t)

Parameters:
  `t` -
Since:
  1.5
See Also:
  - `VelocityException(Throwable)`

### ResourceNotFoundException

public ResourceNotFoundException(Throwable t, String[] stacktrace)

Parameters:
  `t` -
  `stacktrace` - VTL stacktrace
Since:
  2.2
See Also:
  - `VelocityException(Throwable)`